%define url_ver %(echo %{version} | cut -d. -f1,2)

#don't provide plugin .so
%global __provides_exclude_from %{_libdir}/thunarx-3/.*\\.so

Summary:	A tag plugin for the Thunar File Manager
Name:		thunar-media-tags-plugin
Version:	0.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://goodies.xfce.org/projects/thunar-plugins/thunar-media-tags-plugin
Source0:	https://archive.xfce.org/src/thunar-plugins/thunar-media-tags-plugin/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(thunarx-3)
BuildRequires:	pkgconfig(taglib)
Requires:	thunar >= 1.7.0

%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager,
which adds ID3/OGG tag support to the bulk rename dialog.

%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name} %{name}.lang

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog README*
%{_libdir}/thunarx-3/thunar-media-tags-plugin.so
